> ## Documentation Index
> Fetch the complete documentation index at: https://docs.etherscan.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Address ERC721 Token Holding

> Retrieves the ERC-721 tokens and their quantities owned by a specific address.

export const chain = '1';

<Note>This is a PRO endpoint, available to the [Standard Plan](/rate-limits) and above</Note>

<Warning>This endpoint is throttled to **2 calls/second** regardless of API Pro tier.</Warning>

<ResponseExample>
  ```json Example response theme={null}
  {
    "status": "1",
    "message": "OK",
    "result": [
      {
        "TokenAddress": "0x26d85a13212433fe6a8381969c2b0db390a0b0ae",
        "TokenName": "Ten Years Of Ethereum",
        "TokenSymbol": "10YETH",
        "TokenQuantity": "1"
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml openapi/api-reference/endpoint/addresstokennftbalance.json GET /v2/api
openapi: 3.1.0
info:
  title: Get Address ERC721 Token Holding
  version: 2.0.0
  description: >-
    Retrieves the ERC-721 tokens and their quantities owned by a specific
    address.
  license:
    name: Etherscan API Terms
    url: https://etherscan.io/terms
servers:
  - url: https://api.etherscan.io
    description: Etherscan API.
security:
  - apiKey: []
paths:
  /v2/api:
    get:
      summary: Get Address ERC721 Token Holding
      description: >-
        Retrieves the ERC-721 tokens and their quantities owned by a specific
        address.
      operationId: getAddresstokennftbalance
      parameters:
        - name: chainid
          in: query
          required: true
          description: >-
            Chain ID to query, eg 1 for Ethereum, 42161 for Arbitrum from our
            [supported chains](/supported-chains).
          schema:
            type: string
          example: '1'
        - name: module
          in: query
          required: true
          description: Set to account for this endpoint.
          schema:
            type: string
            default: account
          example: account
        - name: action
          in: query
          required: true
          description: Set to addresstokennftbalance for this endpoint.
          schema:
            type: string
            default: addresstokennftbalance
          example: addresstokennftbalance
        - name: address
          in: query
          required: true
          description: Address to check for NFT holdings.
          schema:
            type: string
          example: '0x6b52e83941eb10f9c613c395a834457559a80114'
        - name: page
          in: query
          required: false
          description: Page number for pagination.
          schema:
            type: integer
          example: 1
        - name: offset
          in: query
          required: false
          description: >-
            Number of records per page. Use the page parameter for subsequent
            records.
          schema:
            type: integer
          example: 100
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: >-
                      1 if the request returned data, 0 otherwise. A status of 0
                      can indicate an error or a valid request that returned no
                      records.
                  message:
                    type: string
                    description: >-
                      OK on success, otherwise an error description such as
                      NOTOK. See [common error
                      messages](/common-error-messages).
                  result:
                    type: array
                    items:
                      type: object
                      properties:
                        TokenAddress:
                          type: string
                          description: Contract address of the ERC-721 collection.
                        TokenName:
                          type: string
                          description: Name of the collection.
                        TokenSymbol:
                          type: string
                          description: Symbol of the collection.
                        TokenQuantity:
                          type: string
                          description: >-
                            Number of tokens from this collection held by the
                            address.
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: query
      name: apikey
      description: >-
        Enter your Etherscan API key, or [set one up](/set-up-your-api-key) if
        you don't have one.

````